/* ***************************************************************** */
/* * OMEGAMON XE for DB2 on z/OS v5.1.1                            * */
/* ***************************************************************** */
/* * REASON  RLSE DATE   ORIGIN DESCRIPTION                        * */
/* * TEC      420 081608    SUK update SITINFO for severity        * */
/* * PK78018  410 090126    SUK update KDP_MDBT description        * */
/* * PM07260  420 100315    Suk add percent log available and      * */
/* *                            DBAT approaching CONDBAT           * */
/* * PK45140  410 011008    SUK Fix formula for situation          * */
/* *                            DB2_CF_Structure_Use_Critical,     * */
/* *                            DB2_CF_Structure_Use_Warning,      * */
/* *                            KD5_IDBC_Warning,                  * */
/* *                            KD5_TCPU_Warning, and              * */
/* *                            KD5_CPU_Time_Warning               * */
/* * DE892    520 100311    SUK IMCN and IMND are mixed up         * */ 
/* * CR42-304 511 011212    SMW distribute heartbeat situation to  * */
/* *                            MVS_DB2 with autostart yes         * */
/* *                            remove TOBJACCL with *HUB as not   * */
/* *                            needed anymore                     * */
/* ***************************************************************** */

/* ***************************************************************** */
/* * CR42-304                                                      * */
/* * V520 distribute heartbeat situation to MVS_DB2 with autostart * */
/* * yes                                                           * */
/* ***************************************************************** */
   
DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_Plex_Heartbeat";

DELETE FROM O4SRV.TSITDESC 
       WHERE SITNAME = 'DB2_Plex_Heartbeat';

DELETE FROM O4SRV.SITDB
       WHERE RULENAME = "DB2_Plex_Heartbeat______________";

INSERT INTO O4SRV.TOBJACCL
  (HUB ,
   LSTDATE ,
   LSTUSRPRF ,
   NODEL ,
   OBJCLASS ,
   QIBCLASSID ,
   OBJNAME
  )
VALUES
  ("Y" ,                                                      /* HUB */
   "1020403235959000" ,                                   /* LSTDATE */
   "BUILD" ,                                            /* LSTUSRPRF */
   "*MVS_DB2",                                              /* NODEL */
   "5140" ,                                              /* OBJCLASS */
   "5535",                                             /* QUBCLASSID */
   "DB2_Plex_Heartbeat"                                   /* OBJNAME */
  );
   

INSERT INTO O4SRV.TSITDESC
  (SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PRNAMES,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   SENDMSGQ,
   SITINFO,
   SOURCE,
   TEXT,
   PDT
  )
VALUES
  ("DB2_Plex_Heartbeat",                                  /* SITNAME */
   "",                                                     /* ADVICE */
   "0020000000000000000000000000000000000000000",      /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                 /* AUTOSOP */
   "*YES",                                              /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "",                                                   /* LSTCCSID */
   "1020403235959000",                                    /* LSTDATE */
   "V520",                                             /* LSTRELEASE */
   "BUILD",                                             /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                 /* NOTIFYARGS */
   "",                                                 /* NOTIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "",                                                    /* PRNAMES */
   "5140",                                             /* QIBCLASSID */
   "I",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000200",                                            /* REEF_TIME */
   "",                                                   /* REFLEXOK */
   "*NONE",                                              /* SENDMSGQ */
   "~",                                                   /* SITINFO */
   "",                                                     /* SOURCE */
   "Heartbeat situation to detect DB2 data sharing groups",  /* TEXT */
   "*IF  *VALUE DB2plex_Filter.Group_Or_Subsystem_Name *EQ *NOFETCH"
  );
  

DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_CF_Connections_Warning";

DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_CF_Structure_Use_Critical";

DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_CF_Structure_Use_Warning";

DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_CMD_Connection_Failed";

DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_CMD_Group_BP_READ_Hit_Warn";

DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_CMD_Lock_Wait_Time_Critical";

DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_CMD_Thrd_Wait_Time_Critical";

DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_Group_BP_Read_Hit_Critical";

DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_Group_BP_Read_Hit_Warning";

DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_Lock_Waiter_Time_Critical";

DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_Lock_Waiter_Time_Warning";

DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_Thread_Wait_Time_Critical";

DELETE FROM O4SRV.TOBJACCL
       WHERE OBJNAME = "DB2_Thread_Wait_Time_Warning";


/*********************************************************************/


UPDATE O4SRV.TSITDESC SET SITINFO = "SEV=Warning"                      
       WHERE SITNAME = "DB2_CMD_Connection_Failed";      

UPDATE O4SRV.TSITDESC SET SITINFO = "SEV=Warning"                      
       WHERE SITNAME = "KD5_DBD_Pool_InUse_Pct_High";      

UPDATE O4SRV.TSITDESC SET SITINFO = "SEV=Warning"                      
       WHERE SITNAME = "KD5_RDS_Pool_above_Use_Pct_High";      

UPDATE O4SRV.TSITDESC SET SITINFO = "SEV=Warning"                      
       WHERE SITNAME = "KD5_RDS_Pool_below_Use_Pct_High";      

UPDATE O4SRV.TSITDESC SET SITINFO = "SEV=Warning"                      
       WHERE SITNAME = "KD5_SKEL_Pool_inUse_Pct_High";      

UPDATE O4SRV.TSITDESC SET SITINFO = "SEV=Warning"                      
       WHERE SITNAME = "KD5_STMT_Pool_InUse_Pct_High";  

UPDATE O4SRV.TSITDESC 
SET TEXT = "Percentage of maximum DBAT exceeds critical threshold"
WHERE SITNAME = "KDP_MDBT_Critical"; 
      
UPDATE O4SRV.TSITDESC 
SET TEXT = "Percentage of maximum DBAT exceeds warning threshold"
WHERE SITNAME = "KDP_MDBT_Warning"; 

/* ************************************************************* */
/* New situations for PM07260                                    */
/*                                                               */
/* ************************************************************* */
$PARMS("The number of DBAT connections is approaching DSNZPARM CONDBAT. 
When this condition is detected frequently, make sure CONDBAT is defined
 accurately for remote connections.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_CONDBAT_Appr_Max_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1100308125425000",
"V420",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"The number of DBAT connections is approaching DSNZPARM CONDBAT",
"*IF  *VALUE DB2_SRM_Subsystem.DBAT_Conn_Utilization *GE 70");


$PARMS("The percentage of active logs available is dropping below the th
reshold.  This is an indication that the log files may be too small. Thi
s exception would happen when logs are being filled up faster then they 
can be archived.");
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("KD5_Percent_Log_Avail_Warning",
?,
"00200000000000000000000000000000##000000000",
"",
"NNN",
"*NO",
"*NONE",
"",
"",
"",
"",
"",
"1100308125425000",
"V420",
"SYSADMIN",
"",
"",
"",
"",
"",
"KDP_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"The percentage of active logs available is below threshold",
"*IF  *VALUE DB2_SRM_Log_Manager.Percent_Logs_Avail *LT 50");


UPDATE O4SRV.TSITDESC 
SET PDT = "*IF  *VALUE THREAD_DETAILS.CP_CPU_Time *GE 5"
WHERE SITNAME = "KD5_CPU_Time_Warning"; 
    
UPDATE O4SRV.TSITDESC 
SET PDT = "*IF  *VALUE ALL_THREADS.In_DB2_CP_CPU_Time *GE 70"
WHERE SITNAME = "KD5_IDBC_Warning"; 
   
UPDATE O4SRV.TSITDESC 
SET PDT = "*IF  *VALUE ALL_THREADS.CP_CPU_Rate *GE 20"
WHERE SITNAME = "KD5_TCPU_Warning"; 
   
UPDATE O4SRV.TSITDESC 
SET PDT = 
"*IF *VALUE DB2_Group_Coupling_Facility.Structure_Used_Percent
 *GT 90"
WHERE SITNAME = "DB2_CF_Structure_Use_Critical"; 

UPDATE O4SRV.TSITDESC 
SET PDT = 
"*IF *VALUE DB2_Group_Coupling_Facility.Structure_Used_Percent
 *GT 80 *AND *VALUE DB2_Group_Coupling_Facility.Structure_Used_Percent
 *LE 90"
WHERE SITNAME = "DB2_CF_Structure_Use_Warning"; 
   

UPDATE O4SRV.TSITDESC 
SET PDT = 
"*IF  *VALUE DB2_IMS_Regions.Connection_Status *NE Connected"
WHERE SITNAME = "KDP_IMCN_Critical"; 

UPDATE O4SRV.TSITDESC 
SET TEXT = 
"IMS dependent region has failed to connect to DB2"
WHERE SITNAME = "KDP_IMCN_Critical"; 

UPDATE O4SRV.TSITDESC 
SET PDT = 
"*IF  *VALUE DB2_IMS_Connections.Defined_Dependent_Regions *EQ 0"
WHERE SITNAME = "KDP_IMND_Critical"; 
       
UPDATE O4SRV.TSITDESC 
SET TEXT = 
"No IMS dependent regions defined to DB2 for the IMSID"
WHERE SITNAME = "KDP_IMND_Critical"; 

    
          

